<?php

/**
 * Template part for displaying front-page featured slider section
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Bizness
 */

 $enable = false;
 if ( is_home() && get_theme_mod('hero_home_page_enable', false) ) {
	$enable = true;
 }
 elseif ( is_page() && get_theme_mod('hero_single_pages_enable', false) ) {
	$enable = true;
 }
 elseif ( is_single() && get_theme_mod('hero_single_posts_enable', false) ) {
	$enable = true;
 }

if ( $enable ) :
    $text       = get_theme_mod('hero_title_text', esc_html__( 'Enter Your Headline Here', 'bizness' ) );
    $desc       = get_theme_mod('hero_content_desc', esc_html__( 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.', 'bizness' ) );
    $img_url    = get_theme_mod( 'hero_container_bg_image', '' );
    ?>
	<div class="hero-section container-wide d-flex justify-content-center">
        <div class="hero-container" <?php if( $img_url !== '' ) { ?>style="background-image:url(<?php echo esc_url( $img_url ); ?>);" <?php } ?>>
            <div class="hero-text">
                <div class="hero-border"></div>
                <h2><?php echo esc_html($text); ?></h2>
                <p><?php echo esc_html($desc); ?></p>
                <?php if ( get_theme_mod('hero_button_enable', false) ) :
                    $btn_text   = get_theme_mod('hero_button_text', esc_html__( 'Discover', 'bizness' ) );
                    $btn_url    = get_theme_mod('hero_button_url', '#' );
                    ?>
                    <button><a class="hero-button" href="<?php echo esc_url( $btn_url ); ?>"><?php echo esc_html( $btn_text ); ?></a></button>
                <?php endif; ?>
                <div class="hero-border border-bottom"></div>
            </div>
        </div>
    </div>
<?php endif; 